Skip to navigation

Get an isolated network by ID

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
ID of the isolated network

Response

The isolated network details
idstringformat: "uuid"
Unique identifier for the network
namestring
Name of the network
descriptionstring
Description of the network
cidrstring
CIDR of the network
gatewaystringformat: "ipv4"
Gateway IP address
statusenum
Network status
Allowed values:
regionstring
Region where the network is located
typestring
Network type
ipAddresseslist of strings
IP addresses associated with this network
createdAtdatetimeOptional
Network creation date
aclTypestringOptional
Type of the ACL list
defaultEgressPolicyenumOptional

How outbound traffic is treated when this network has no egress rules. allow means all outbound traffic is permitted and each egress rule blocks what it matches; deny means all outbound traffic is blocked and each egress rule permits what it matches. Fixed when the network is created and cannot be changed afterwards. Omitted when unknown.

Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error